% Chop tails off of PTOS curves


function [fptosC, fpupperC, fplowerC] = chopCurves(fptos, fpupper, fplower, ptosParams, x1s)
    c = ptosParams.c;
    ubm = ptosParams.ubm;
    ubp = ptosParams.ubp;

    alpha = ptosParams.alpha;
    xell_plus = ptosParams.xell_plus;
    xell_min = ptosParams.xell_min;


    K = length(fptos);

    fptosC   = fptos;
    fpupperC = fpupper;
    fplowerC = fplower;
    
    for i = 1:K
        if (x1s(i) > alpha*c*ubp)
            fptosC(i)   =  min(0, fptos(i));
            fpupperC(i) =  min(0, fpupper(i));
            
        elseif (x1s(i) < alpha*c*ubm)
            fptosC(i)   = max(0, fptos(i));
            fplowerC(i)  = max(0, fplower(i));
            
        end
    end


% Ensure the ends touch x1-axis    
fplower(end) = 0;
fpupper(1)   = 0;


end