%  [Scurve, ind_s] = forceMono(Scurve)
%  Delete elements which destroy monotonicity
%  
%  ind_s is a vector of the indexes of the deleted terms.
%
%
function [Scurve, ind_s] = forceMono(Scurve, quiet)
    if ~exist('quiet', 'var')
        fprintf('----')
        quiet = 0;
    end
    len = length(Scurve);
    j = 2;
    ind_s = [];
    for i = 2:len
%         sprintf('i = %f, i-1=%f', Scurve(j), Scurve(j-1) )
        if (Scurve(j,1) <= max(Scurve(1:j-1,1)) )
           Scurve(j,:) = []; 
           ind_s       = [ind_s; i];
           if ~quiet
              disp( sprintf('deleted element %d', j));
           end
        else
            j = j+1;
        end
     end

end