%  function fp = fptosref(x1e, ptosParams)
function fp = fptosref(x1e_s, ptosParams)
%#codegen
xell_min  = ptosParams.xell_min;
xell_plus = ptosParams.xell_plus;
k2        = ptosParams.k2;
k1        = ptosParams.k1;
alpha     = ptosParams.alpha;
lambda    = ptosParams.lambda;
M         = ptosParams.M;
ubm      = ptosParams.ubm;
ubp      = ptosParams.ubp;
w         = ptosParams.w;
c         = ptosParams.c;
sz = size(x1e_s);
fp = zeros(sz);
for i = 1:length(x1e_s)
    x1e = x1e_s(i);
    if (x1e < -abs(xell_min))
       fp(i) =  w*sqrt(2*alpha*c*ubm*x1e -x1e.^2) + ubm/k2;
    elseif(x1e > -abs(xell_min) && x1e < xell_plus );
        fp(i)   = -M*x1e;
    else (x1e >= xell_plus);
        fp(i) = -w*sqrt(2*alpha*c*ubp*x1e -x1e.^2) + ubp/k2;
    end
end


fp = fp;