%  x = sCurve(f, w, dt, quiet)
%
%  f =is a function handle to the dynamics file where xdot = Ax + Bu
%  w = natural frequency, w=sqrt(4*a2 - a1^2)/2;
%  dt = time step do use
%  quiet == 1 will not display information about removed points to enforce
%  monotinicity.
%  
%
%  FOR NOW, ONLY WORKS FOR n = 2  
function Scurve = sCurve(f, params, wd, dt, quiet)
    %%
    if (~exist('quiet', 'var'))
        quiet = 0;
    end
    
    % real scurve
    t = (0:dt:pi/wd)';
    t  = flipud(t); % integrate backwards
    Xf = [0 0]';
    params.u = params.ubp;
    [t, x_p] = ode45(@(t,x)f(t,x,params), t, Xf);
    params.u = params.ubm;
    [t, x_n] = ode45(@(t,x)f(t,x,params), t, Xf);
    Scurve = [flipud(x_n); x_p];
    Scurve = forceMono(Scurve, quiet);

    
end